Skip to main content
POST
Get or create a preview

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required

Unique identifier of the matter to which the file belongs.

fileId
string
required

Unique identifier of the file.

Response

When the request is accepted. Returns a 'PreviewFileInfo' object, with 'downloadUrl' and 'expiry' populated if the preview already exists and null if conversion is still pending.

fileId
string | null

Unique identifier of the requested file

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

documentVersionId
string | null

Unique identifier of the document version the preview was generated from. Pass this to GetPreviewById.

Example:

"0f8fad5b-d9cb-469f-a165-70867728950e"

downloadUrl
string | null

Temporary presigned URL to download the PDF preview. Valid for 1 day. Null when the preview has not been generated yet (conversion is pending); poll GetPreviewById until it is available.

Example:

"https://bucket.s3.amazonaws.com/previews/accounts/b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2/documents/0f8fad5b-d9cb-469f-a165-70867728950e?X-Amz-Expires=86400&X-Amz-Signature=..."

expiry
string<date-time> | null

Expiry date/time (UTC) after which the download link is no longer accessible. Null when the preview has not been generated yet (conversion is pending).

Example:

"2022-04-23T14:30:00Z"